import { type Base, genBase } from './_base'
import type { Employee } from './employee'
import type { Subspecialist } from './subspecialist'

export interface SubSpecialistPosition extends Base {
  subspecialist_id: number
  code: string
  name: string
  headStatus?: boolean
  employee_id?: number

  subspecialist?: Subspecialist | null
  employee?: Employee | null
}

export function genSubSpecialistPosition(): SubSpecialistPosition {
  return {
    ...genBase(),
    subspecialist_id: 0,
    code: '',
    name: '',
    headStatus: false,
    employee_id: 0,
  }
}
